Interface KubernetesPersistentVolumesClaimsEndpointBuilderFactory.KubernetesPersistentVolumesClaimsBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
KubernetesPersistentVolumesClaimsEndpointBuilderFactory
public static interface KubernetesPersistentVolumesClaimsEndpointBuilderFactory.KubernetesPersistentVolumesClaimsBuilders
-
Method Summary
Modifier and TypeMethodDescriptionKubernetes Persistent Volume Claim (camel-kubernetes) Perform operations on Kubernetes Persistent Volumes Claims and get notified on Persistent Volumes Claim changes.Kubernetes Persistent Volume Claim (camel-kubernetes) Perform operations on Kubernetes Persistent Volumes Claims and get notified on Persistent Volumes Claim changes.kubernetesPersistentVolumesClaims(String componentName, String path) Kubernetes Persistent Volume Claim (camel-kubernetes) Perform operations on Kubernetes Persistent Volumes Claims and get notified on Persistent Volumes Claim changes.
-
Method Details
-
kubernetesPersistentVolumesClaims
default KubernetesPersistentVolumesClaimsEndpointBuilderFactory.KubernetesPersistentVolumesClaimsHeaderNameBuilder kubernetesPersistentVolumesClaims()Kubernetes Persistent Volume Claim (camel-kubernetes) Perform operations on Kubernetes Persistent Volumes Claims and get notified on Persistent Volumes Claim changes. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes- Returns:
- the dsl builder for the headers' name.
-
kubernetesPersistentVolumesClaims
default KubernetesPersistentVolumesClaimsEndpointBuilderFactory.KubernetesPersistentVolumesClaimsEndpointBuilder kubernetesPersistentVolumesClaims(String path) Kubernetes Persistent Volume Claim (camel-kubernetes) Perform operations on Kubernetes Persistent Volumes Claims and get notified on Persistent Volumes Claim changes. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-persistent-volumes-claims:masterUrlPath parameter: masterUrl (required) URL to a remote Kubernetes API server. This should only be used when your Camel application is connecting from outside Kubernetes. If you run your Camel application inside Kubernetes, then you can use local or client as the URL to tell Camel to run in local mode. If you connect remotely to Kubernetes, then you may also need some of the many other configuration options for secured connection with certificates, etc.- Parameters:
path- masterUrl- Returns:
- the dsl builder
-
kubernetesPersistentVolumesClaims
default KubernetesPersistentVolumesClaimsEndpointBuilderFactory.KubernetesPersistentVolumesClaimsEndpointBuilder kubernetesPersistentVolumesClaims(String componentName, String path) Kubernetes Persistent Volume Claim (camel-kubernetes) Perform operations on Kubernetes Persistent Volumes Claims and get notified on Persistent Volumes Claim changes. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-persistent-volumes-claims:masterUrlPath parameter: masterUrl (required) URL to a remote Kubernetes API server. This should only be used when your Camel application is connecting from outside Kubernetes. If you run your Camel application inside Kubernetes, then you can use local or client as the URL to tell Camel to run in local mode. If you connect remotely to Kubernetes, then you may also need some of the many other configuration options for secured connection with certificates, etc.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- masterUrl- Returns:
- the dsl builder
-